List image templates
GET/v1/image-templates
const url = 'https://api.ligr.live/rest/v1/image-templates?entityType=player&sport=football&limit=200&offset=0';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.ligr.live/rest/v1/image-templates?entityType=player&sport=football&limit=200&offset=0' \ --header 'Authorization: Bearer <token>'Return a page of your organization’s image templates, sorted by id.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”The kind of entity a template holds one image for.
Only return templates for this kind of entity
Only return templates for this sport
The maximum number of templates to return
The number of templates to skip
Responses
Section titled “Responses”Ok
object
One image slot, such as a player cut-out or a team banner, with a fixed pixel size. Each player, team or competition of the entity type can hold one image for the template.
object
Entity identifier
Pixel width every image of the template must have.
Pixel height every image of the template must have.
The kind of entity a template holds one image for.
URL of the default image. Null: the template has no default image.
File id of the default image. Send it as defaultFileId on a Rive asset exposure to use it as the fallback image.
Null: the template has no default image.
Example
{ "imageTemplates": [ { "entityType": "player", "sport": "football" } ]}Request is invalid
object
object
Examplegenerated
{ "message": "example", "details": { "additionalProperty": "example" }}Missing or invalid api key
object
Examplegenerated
{ "message": "example"}Api key provides insufficient access for the request
object
Examplegenerated
{ "message": "example"}Image template not found
object
Examplegenerated
{ "message": "example"}Organization has made too many requests
object
Examplegenerated
{ "message": "example"}An unexpected error has occured. If problems persist please contact support
object
Examplegenerated
{ "message": "example"}